[package]
name = "button"
version = "0.1.0"
edition = "2024"

[dependencies]
anyhow = "1.0.99"
json = "0.12.4"
reqwest = { version = "0.12.23", features = ["blocking"] }
rug = { version = "1.28.0", features = ["integer"], default-features = false }
tqdm = "0.8.0"
sha2 = "0.10.9"
percent-encoding = "2.3.2"

[lib]
name = "lib"
path = "src/lib/lib.rs"
